<?php

/**
 * Class that operate on table 'clinic'. Database Mysql.
 *
 * @author: http://phpdao.com
 * @date: 2016-06-21 12:09
 */
class ClinicMySqlExtDAO extends ClinicMySqlDAO {

    public function loadClinicByName($clinicName) {
        $sql = 'SELECT * FROM clinic WHERE name = ? limit 1';
        $sqlQuery = new SqlQuery($sql);
        $sqlQuery->set($clinicName);
        return $this->getRow($sqlQuery);
    }

    public function loadClinicByTempDel() {
        $sql = 'SELECT * FROM clinic WHERE tempdel = 0';
        $sqlQuery = new SqlQuery($sql);
        return $this->getList($sqlQuery);
    }

}

?>